$(document).ready(function() {
    var beforeSendMessage = '正在加载,请稍候...';
    var ErrorMessage = '<span class="red">对不起,请求错误.请检查您的服务设置或者程序配置.</span>';

    //绑定省份下的城市
    $('#SelProvince').change(function() {
        $('#SelArea').attr('disabled', 'disabled');
        AjaxRequstFn('SelProvince', 'SelCity', 'city');
    });
    //绑定城市下的地区
    $('#SelCity').change(function() {
        AjaxRequstFn('SelCity', 'SelArea', 'area');
    });
    //选择地区后给文本框赋值
    $('#SelArea').change(function() {
        //获取ID为GetArea下的下拉菜单选中的值
        var GetText = $('#GetArea > select option:selected').text();
      //  $('#txtArea').val(GetText);
    });
    function AjaxRequstFn(FID, id, tableName) {
        $.ajax({
            type: 'GET',
            url: '/public/GetData.ashx',
            processData: false,
            dataType: 'text',
            data: 'id=' + escape($('#' + FID).val()) + '&type=' + tableName,
            beforeSend: function(XMLHttpRequest) {
                $('#' + id).html(beforeSendMessage);
            },
            success: function(data, textStatus) {
                FormatData(data, id); //格式化字符串
            },
            complete: function(XMLHttpRequest, textStatus) {
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
               // $('#showResult').html(ErrorMessage);
            }
        });
    }
});
//格式化字符串
function FormatData(data, id) {
    var items = data.split('$');
    var value = '';
    var text = '';
    for (var i = 0; i < items.length; i++) {
        value = items[i].substr(0, 6);
        text = items[i].substr(6, items[i].length);
        $('#' + id).append('<option value="' + value + '">' + text + '</option>');
    }
    $('#' + id).removeAttr('disabled');
}